
local mod = get_mod("AutoSwing")

return {
	name = "Auto Swing",
	description = mod:localize("mod_description"),
	is_togglable = true,
	options = {
		widgets = {
			{
				setting_id      = "auto_swing_keybind",
				type            = "keybind",
				default_value   = {},
				keybind_global  = false,
				keybind_trigger = "held",
				keybind_type    = "function_call",
				function_name   = "auto_swing_keybind_pressed"
			}
		}
	}
}